function rmr,k1x,k1y,v0,v1,ph0,ph1,im,vxy,nv,msk,vax,vax2,vay,vay2
; rms deviation from axisymmetry. used by K1.pro
; k1x,y: assumed K1 velocity, v0,v1: annulus in velocity space
; ph0,ph1: interval in polar angle to be ignored,
; im velocity image, vxy x,y axes
v02=v0^2
v12=v1^2
if n_elements(msk) eq 0 then begin
  msk=intarr(nv,nv)
  vax=fltarr(nv,nv)
  vax2=vax
  vay=vax
  vay2=vax
  for i=0,nv-1 do begin
    for j=0,nv-1 do begin
      if vxy(i) ne 0. then t=vxy(j)/vxy(i) else t=0
      ph=atan(t)
      if vxy(i) lt 0. then ph=ph+!pi
      if (ph lt ph0 or ph gt ph1) then msk(i,j)=1
      vax(i,j)=vxy(i)
      vax2(i,j)=vxy(i)^2
      vay(i,j)=vxy(j)
      vay2(i,j)=vxy(j)^2
    endfor
  endfor
  siz=100
  window,2,xsize=siz,ysize=siz
  tvscl,congrid(im*msk,siz,siz)
  wset,0
endif 
v2=vax2-2*k1x*vax+k1x^2+vay2-2*k1y*vay+k1y^2
mski=msk*(v2 gt v02)*(v2 lt v12)
sx=total(mski*im)
sx2=total(mski*im^2)
ic=total(mski)
if ic eq 0 then return, 1e5
av=sx/ic
if av eq 0. then return,1e5
rms=sx2/av^2-2*sx/av+ic
if rms lt 0. then rms=0
return,sqrt(rms/ic)
end