pro stroplot,stri,vy1
common strop,qm,gg,msun,omega,inc,vx,vy,vkx,vky,vs,xl,yl,vxp,vyp,vkxp,vkyp,nc,cm,rr,az
common savestrpar, bows,facs,porbs,qms,incs,m1s,vfs,hics,locs,cirs,strs,keps,bars,$
  anns,lobs,epss,fidents,azms,azticks,infs,ints,pscs,pubs,nonaxs

bow=bows
mcol=!d.table_size-1 ; max no of colors of display
if !d.name eq 'X' then tk=2 else tk=4
;uco=mcol*bow
lco=mcol*(1-bow)
uco=lco
if stri eq '' then begin
  get_lun,lun
  openr,lun,'lobe.out'
  readf,lun,qm
  readf,lun,ni
  ni=2*ni
  xl=fltarr(ni)
  yl=xl
  dum=xl
  cm=qm/(1+qm)
  readf,lun,xl,yl,dum,dum
; x,y rel to center of mass
  xl=xl-cm
  readf,lun,np
  xi=fltarr(np)
  yi=xi
  vxi=xi
  vyi=yi
  vkxi=xi
  vkyi=xi
  readf,lun,xi,yi,vxi,vyi,vkxi,vkyi
  az=atan(yi/xi)                           ; stream azimuth from line M1-M2
  az=az+(xi lt 0)*!pi
  az=az*180/!pi
  close,lun
  porb=24.*3600.*porbs
  omega=2*!pi/porb
  gg=6.667e-8
  msun=1.989e33
  cm=qm/(1+qm)
  nvp=1000
  vxp=fltarr(nvp)
  vyp=vxp
  vkxp=vxp
  vkyp=vxp
  rr=vxp
  m1=m1s
  inc=incs
  stri=string(format='(''i='',f4.1,''  M1='',f4.2,''  q='',f5.3,''  P!Dorb!N='',f8.5,''d'')',inc,m1,qm,porbs)
  inc=!pi*inc/180  ; inclination in radians
  a=(gg*m1*msun*(1+qm))^(1./3)/omega^(2./3)  ; orbital separation
  vs=omega*a/vfs   ; velocity scaling factor
; set minimum radius for plotting radius ticks
  rd=0.
; set maximum azimuth for plotting stream
  i=0
  r=1
  while az(i) lt azms and i lt np-1 do i=i+1
  vxi=vxi(0:i-1)
  vyi=vyi(0:i-1)
  vkxi=vkxi(0:i-1)
  vkyi=vkyi(0:i-1)
  az=az(0:i-1)
  si=sin(inc)
  vx=vxi*si*vs
  vy=vyi*si*vs
  vkx=vkxi*si*vs
  vky=vkyi*si*vs
  xl=xl*vs*si
  yl=yl*vs*si
  np=n_elements(az)
;compute connecting bars
  dr=0.02
  rl1=xi(0)
  r=rl1
  ix=fix(rl1/dr)
  ic=0
  for i=0,np-1 do begin
    ix0=ix
    r0=r
    r=sqrt(xi(i)^2+yi(i)^2)
    ix=fix(r/dr)
    if abs(ix0-ix) eq 1 then begin
      f=(ix0*dr-r0)/(r-r0)
      rr(ic)=ix0*dr
      vxp(ic)=f*vx(i)+(1-f)*vx(i-1)
      vyp(ic)=f*vy(i)+(1-f)*vy(i-1)
      vkxp(ic)=f*vkx(i)+(1-f)*vkx(i-1)
      vkyp(ic)=f*vky(i)+(1-f)*vky(i-1)
      ic=ic+1
    endif
    i=i+1
  endfor
  nc=ic
endif
si=sin(inc)
np=n_elements(az)
; overplot stream
if strs eq 1 then oplot,vx,vy,color=uco
; overplot kepler velocity
if keps eq 1 then oplot,vkx,vky,color=uco
; overplot lobe of M2
if lobs eq 1 then oplot,-yl,xl,color=uco

if lobs eq 1 then begin
  ple=[-0.1,0.1]*vs
; mark center of mass with plus
  ze=[0,0]
  oplot,ze+ple,ze,color=lco
  oplot,ze,ze+ple,color=lco
  vy1=cm*vs*si
  if lobs eq 1 then begin 
; mark M2 with cross
    pler=0.7*ple
    m2y=[1-cm,1-cm]*vs*si
    oplot,pler,m2y+pler,color=lco
    oplot,pler,m2y-pler,color=lco
; mark M1 with cross
    m1y=[-1,-1]*vy1
    oplot,pler,m1y+pler,color=lco
    oplot,pler,m1y-pler,color=lco
  endif
endif

;plot bars and annotation
vkypp=vkyp
vkxpp=vkxp
if keps ne 1 or bars ne 1 then  begin    ; shorten bars to points on stream
  vkxpp=vxp
  vkypp=vyp  
endif
nsk=4
if bars eq 1 and strs eq 1 and keps eq 1 then begin
  for i=0,nc-1 do begin
    oplot,[vxp(i),vkxpp(i)],[vyp(i),vkypp(i)],color=lco
  endfor
endif
if anns eq 1 and strs eq 1 then begin
  dl=1                             ;   length factor annotation lines
  for i=0,nc-1,nsk do begin
    vka=sqrt(vkxpp(i)^2+vkypp(i)^2)
    f=1+dl*vs/vka
    oplot,[1,f]*vkxpp(i),[1,f]*vkypp(i),color=lco
    xyouts,f*vkxpp(i),f*vkypp(i),string(format='(f4.2)',rr(i)),color=lco
  endfor
  i=i-nsk>0
  xyouts,f*vkxpp(i),f*vkypp(i)+vs/4,'r/a=',color=lco
endif
; azimuth ticks
if azticks eq 1 and anns eq 1 and strs eq 1 then begin
  dl=1
  naz=fix(azms)                               ; length of array eq no of degrees
  azi=findgen(naz)
  x=findgen(np)
  x0=interpol(x,az,azi)
  vxa=interpol(vx,x,x0)
  vya=interpol(vy,x,x0)
  nsk=10
  for i=0,naz-1,nsk do begin
    va=sqrt(vxa(i)^2+vya(i)^2)
    f=1/(1+dl*vs/va)
    oplot,[1,f]*vxa(i),[1,f]*vya(i),color=lco,line=2
    if i mod (2*nsk) eq 0 then xyouts,f*vxa(i),f*vya(i),string(format='(i3)',azi(i)),color=lco
  endfor
  i=i-nsk>0
  xyouts,f*vxa(i),f*vya(i)+vs/4,'!7u!5=',color=lco
endif
return
end